#!/usr/bin/env perl
#
# Return the contents of a package field in the control file
#
##############################################################################

$section = $ARGV[0]; # Package/Source
$package = $ARGV[1]; # package name
$field = $ARGV[2];   # field name

if (length($section) == 0 || length($package) == 0 || length($field) == 0) {
    die "missing parameter";
}

$found = 0;

open(CONTROL, "debian/control"); #or die "error opening control file";

foreach (<CONTROL>) {
    if ($_ =~ "^$section.*$package\$") {
        $found = 1;
    }
    if ($found && $_ =~ "^$field") {

        @field_split = split(':', $_);
        print substr($_, length($field_split[0]) + 2, length($_));

        exit 0;
    }
}
